Api referenceDevelopment projects

List Roadmap Items

Reference for List Roadmap Items in the Hyperoru v1 API, including request, response, and authentication details.

GET/v1/workspaces/{workspace_id}/projects/{project_id}/roadmap

List Roadmap Items. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
project_id*Project Id
Formatuuid

Query Parameters

limit?Limit
Default50
Range1 <= value <= 100
cursor?|null
q?Q
Default""
Lengthlength <= 200
status?|null
kind?|null
cycle_id?|null
assignee_id?|null
priority?|null
publishable?Publishable
Defaultfalse
sort?Sort
Default"priority"
Value in"priority" | "newest" | "oldest" | "votes"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/roadmap"
{
  "has_more": false,
  "items": [
    {
      "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",
      "assignee_name": "string",
      "blocked_by_ids": [
        "83ddbcb6-b9f0-4cbd-a0f4-3ebad9fa15af"
      ],
      "completed_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "cycle_id": "4657c0f7-0ec5-4c38-8330-8d4bbac49451",
      "description": "string",
      "estimate": 0,
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "identifier": "string",
      "is_published": false,
      "kind": "string",
      "labels": [
        "string"
      ],
      "priority": 0,
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "public_feature_id": "d21ccc02-7b53-4b55-a299-bb5a493b2702",
      "source_finding_id": "11fed60a-5b25-4979-877a-5b83772486ef",
      "source_finding_state": "string",
      "source_recommendation_id": "74f1ea6a-138a-45a6-8593-bf5c605d0b8b",
      "status": "string",
      "target_date": "2019-08-24",
      "title": "string",
      "updated_at": "2019-08-24T14:15:22Z",
      "version": 0,
      "votes": 0
    }
  ],
  "next_cursor": "string",
  "total": 0
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}